<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: ControladorLista_canciones.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: ControladorLista_canciones.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>'use strict';
var models = require('./../models/');
var uuid = require('uuid');
var listaC = models.lista_cancion;
var cancion = models.cancion;

/**
 * @class ControladorLista_canciones
 */
class ControladorLista_canciones {

    /**
     * @description Método para relacionar la lista de reproducción junto con la canción, cuando se la elija
     * @param {req} req Sirve para obtener el external id de la canción y el external id de la lista de reproducción, y presentar el mensaje de confirmación
     * @param {res} res Sirve para que redireccione a la misma pantalla de NuevasCanciones
     */
    agregar_lista(req, res) {
        var external_cancion = req.body.external_cancion;
        var external_lista = req.body.external_lista;
        var datos = {
            id_canciones: external_cancion,
            id_listaR: external_lista
        };
        listaC.create(datos).then(function (Datos) {
            cancion.findOne({where: {id: external_cancion}}).then(datos => {
                var reproduccion = datos.reproducciones;
                reproduccion = reproduccion + 1;
                var Datos = datos;
                Datos.reproducciones = reproduccion;
                Datos.save().then(function (result) {
                    req.flash('info', "Se ha agregado correctamente a la lista");
                    res.redirect('/nuevas_canciones');
                });
            });

        });
    }

    /**
     * @description Método para eliminar la relación entre lista de reproducción y canción
     * @param {req} req Sirve para obtener el external id de la canción y el external id de la lista de reproducción, y presentar el mensaje de que se ha eliminado correctamente
     * @param {res} res Sirve para redireccionar a la misma pantalla de VisualizarListareproduccion después de que se haya eliminado correctamente
     */
    eliminar_de_lista(req, res) {
        var external = req.body.external;
        var external_lista = req.body.external_lista;
        alert(external_lista);
        listaC.destroy({where: {id: external}}).then(function (Datos) {
            req.flash('info', "Se ha eliminado correctamente de la lista");
            res.redirect('/ver_lista/' + external_lista);
        });
    }
}
module.exports = ControladorLista_canciones;
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="ControladorLista_canciones.html">ControladorLista_canciones</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.3</a> on Sun Aug 25 2019 04:12:59 GMT-0500 (GMT-05:00)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
